%define	name	horde
%define version 3.0.2
%define release 4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Horde framework
License:	GPL
Group:		System/Servers
Source0:	ftp://ftp.horde.org/pub/horde/%{name}-%{version}.tar.bz2
Source1:	%{name}.README.mdk.bz2
Patch1:		%{name}-3.0.2-non-interactive-setup.patch.bz2
Patch2:		%{name}-3.0.2-better-default-configuration.patch.bz2
Patch4:		%{name}-3.0.2-registry.patch.bz2
URL:		http://www.horde.org/
PreReq:		rpm-helper
Requires:	mod_php >= 4.3.10-3mdk
Requires:	php-xml
Requires:	php-domxml
Requires:	php-pear-Log
Requires:	php-pear-Mail_Mime
BuildArch:	noarch
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is required
for all other Horde module RPMS.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep

%setup -q
bzcat %{SOURCE1} > README.mdk
%patch1
%patch2
%patch4

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf %{buildroot}

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/webapps.d/%{name}.conf <<EOF
# Horde Apache configuration file
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
</Directory>
EOF

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 %{buildroot}%{_var}/www/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}
cp -pR *.php %{buildroot}%{_var}/www/%{name}
cp -pR admin %{buildroot}%{_var}/www/%{name}
cp -pR js %{buildroot}%{_var}/www/%{name}
cp -pR services %{buildroot}%{_var}/www/%{name}
cp -pR themes %{buildroot}%{_var}/www/%{name}
cp -pR util %{buildroot}%{_var}/www/%{name}
cp -pR lib %{buildroot}%{_datadir}/%{name}
cp -pR locale %{buildroot}%{_datadir}/%{name}
cp -pR scripts %{buildroot}%{_datadir}/%{name}
cp -pR templates %{buildroot}%{_datadir}/%{name}
cp -pR config %{buildroot}%{_sysconfdir}/%{name}

# use symlinks to recreate original structure
pushd %{buildroot}%{_var}/www/%{name}
ln -s ../../..%{_sysconfdir}/%{name} config
ln -s ../../..%{_datadir}/%{name}/lib .
ln -s ../../..%{_datadir}/%{name}/locale .
ln -s ../../..%{_datadir}/%{name}/templates .
popd
pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name} config
popd

# activate configuration files
for file in %{buildroot}%{_sysconfdir}/%{name}/*.dist; do
	mv $file ${file%.dist}
done

# fix script shellbang
for file in `find %{buildroot}%{_datadir}/%{name}/scripts`; do
	perl -pi -e 's|/usr/local/bin/php|/usr/bin/php|' $file
done

# registry dir
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/registry.d

# logs
install -d -m 755 %{buildroot}%{_var}/log/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_var}/log/%{name}/*.log {
	missingok
	compress
}
EOF

%clean
rm -rf %{buildroot}

%post
service httpd reload

if [ $1 = 1 ]; then
	# configuration
	%create_ghostfile %{_sysconfdir}/%{name}/conf.php.bak apache apache 644
fi

%postun
service httpd reload

%files
%defattr(-,root,root)
%doc README README.mdk COPYING docs 
%config(noreplace) %{_sysconfdir}/httpd/webapps.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}
%attr(-,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/conf.php 
%{_datadir}/%{name}
%{_var}/www/%{name}
%attr(-,apache,apache) %{_var}/log/%{name}

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Thu Jan 27 2005 Guillaume Rousse <guillomovitch@mandrake.org> 3.0.2-3mdk 
- reload apache instead of restarting it
- no more automatic config generation, incorrect default values
- README.mdk
- spec cleanup
- don't touch log file, make log dir owned by apache

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 3.0.2-2mdk 
- herein document instead of external source for apache config
- fix inclusions from %{_datadir}/%{name}
- fix configuration perms
- generate configuration at postinstall
- better default configuration (logs)
- rpm-helper is now a prereq

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 3.0.2-1mdk 
- New version
- top-level is now %{_var}/www/%{name}
- config is now in %{_sysconfdir}/%{name}
- other non-accessible files are now in %{_datadir}/%{name}
- drop safemode build
- drop patches 0, 2 and 3
- rediff patch 4
- drop old obsoletes
- clean up redundant requires
- no more order for apache configuration

* Tue Oct 26 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.2.7-1mdk
- New release 2.2.7

* Mon Sep 27 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.2.6-1mdk
- New release 2.2.6
- rpmbuildupdate aware

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.5-3mdk 
- apache config file in %{_sysconfdir}/httpd/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.5-2mdk
- registry patch (stolen from Debian)
- standard perms for %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.5-1mdk
- new version
- dropped original configuration patch, it's up to application packages to
  register themselves
- fixed sendmail path in configuration

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.4-2mdk
- untagged localisation files
- no more .htaccess files, use %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf instead
- scripts now in  %{_datadir}/{name}
- passwd module externalized in its own package

* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.4-1mdk
- 2.2.4

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.3-3mdk
- changed name to horde, old version doesn't exist anymore
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.2.3-2mdk
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- remove implicit dependencies

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3.
- Readapted Patch0.
- Updated Passwd to 2.2.
- Added "safe_mode Off" and "session.bug_compat_42 Off" for PHP, to
  horde-mdk.conf.
- Modified Patch0 to get logs to syslog facilities.

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.1-2mdk
- new macros from ADVX-build

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.2.1-1mdk
- New version, required by PHP 4.3.0
- fix post scripts
- fix config file
- add Errordocument 404 directives so users know they have to install turba
  and imp3.

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 2.1 final

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 2.1-0.1mdk
- Regenerate patches
- Remove admin directory from files (no longer exists)

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-4mdk
- fixed php /usr/share/php -> /usr/lib/php according to php-devel
  path.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-3mdk
- renamed to horde2, so to maintain version 1.2.X.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-2mdk
- changed some config file with predefined values.
- added ppphp-xml to Requires.
- included passwd module.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0-1mdk
- 2.0.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 2.0 release 1

* Wed Sep 12 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-3mdk
- replaced pg_connect with pg_pconnect in db.pgsql, to avoid the
  warning "...is not a valid PostgreSQL link resource".

* Tue Sep 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-2mdk
- added php-pgsql to horde-pgsql Requires.

* Tue Sep 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-1mdk
- updated to release 1.2.6.

* Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-3mdk
- fix httpd.conf entry

* Mon Feb 26 2001 Giuseppe Ghibo' <ghibo@mandrakesoft.com> 1.2.4-2mdk
- add mod_php to Requires.

* Sat Feb 24 2001 Giuseppe Ghibo' <ghibo@mandrakesoft.com> 1.2.4-1mdk
- initial mandrake release.

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.4 release 1rh7
